Name: ssh
Summary: Secure Shell environment
%define version 1.2.33
Version: %{version}
Release: 1a
Source0: ftp://ftp.cs.hut.fi/pub/ssh/ssh-%{version}.tar.gz
Source1: localhost:/SSH
Source2: localhost:/StartupParameters.plist
NoSource: 0
Copyright: distributable
Group: Shells
BuildRoot: %{_tmppath}/ssh-root
%define prefix /usr
%define perlbin %{prefix}/bin
%define etcdir /private/etc

%description
Ssh (Secure Shell) is a program to log into another computer over a network, to execute commands in a remote
machine, and to move files from one machine to another. It provides strong authentication and secure
communications over insecure channels. Its features include the following: 

    Strong authentication. Closes several security holes (e.g., IP, routing, DNS spoofing, and listening for
    passwords from the network). New authentication methods: .rhosts together with RSA based host
    authentication, and pure RSA authentication. 

    All communications are automatically and transparently encrypted. Encryption is also used to protect against
    spoofed packets and hijacked connections. 

    X11 connection forwarding provides secure X11 sessions. 

    Arbitrary TCP/IP ports can be redirected over the encrypted channel in both directions. 

    Client RSA-authenticates the server machine in the beginning of every connection to prevent trojan horses 
    (by routing or DNS spoofing) and man-in-the-middle attacks. The server RSA-authenticates the client machine
    before accepting .rhosts or %{etcdir}/hosts.equiv authentication (to prevent DNS, routing, or IP spoofing). 

    An authentication agent, running in the user's local workstation or laptop, can be used to hold the user's
    RSA authentication keys. 

    Multiple convenience features fix annoying problems with rlogin and rsh. 

Ssh is intended as a complete replacement for rlogin, rsh, rcp, and rdist. It can also replace telnet 
in many cases. 

%package symlinks
Summary: Files and symbolic links to make this the default ssh
Group: Shells
%description symlinks
This package contains symbolic links for "s" commands and 
their corresponding "man" pages. It also provides an automatic
startup mechanism for sshd.


%prep
%setup -n ssh-%{version}
cp /usr/share/libtool/config.* .
cp /usr/share/libtool/config.* gmp-2.0.2-ssh-2

%build
env PERL='%{perlbin}/perl' CFLAGS="$RPM_OPT_FLAGS -traditional-cpp" \
	LDFLAGS='-flat_namespace' \
 ./configure --prefix=%{prefix} --with-libwrap=%{_usr}/lib \
				--with-etcdir=%{etcdir}
make

%install
rm -rf $RPM_BUILD_ROOT 
mkdir -p -m755 $RPM_BUILD_ROOT/private/etc
mkdir -p -m755 $RPM_BUILD_ROOT/System/Library/StartupItems/SSH
make install install_prefix=$RPM_BUILD_ROOT

install -m555 -c $RPM_SOURCE_DIR/SSH $RPM_BUILD_ROOT/System/Library/StartupItems/SSH/
install -m444 -c $RPM_SOURCE_DIR/StartupParameters.plist $RPM_BUILD_ROOT/System/Library/StartupItems/SSH/


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,wheel)
%doc COPYING ChangeLog INSTALL OVERVIEW README* RFC* TODO
%config(noreplace) %{etcdir}/ssh_config
%config(noreplace)  %{etcdir}/sshd_config
%{prefix}/bin/make-ssh-known-hosts1
%{prefix}/bin/scp1
%{prefix}/bin/ssh-add1
%{prefix}/bin/ssh-agent1
%{prefix}/bin/ssh-askpass1
%{prefix}/bin/ssh-keygen1
%{prefix}/bin/ssh1
%{prefix}/sbin/sshd1
%{prefix}/man/man1/make-ssh-known-hosts1.1
%{prefix}/man/man1/scp1.1
%{prefix}/man/man1/slogin1.1
%{prefix}/man/man1/ssh-add1.1
%{prefix}/man/man1/ssh-agent1.1
%{prefix}/man/man1/ssh-keygen1.1
%{prefix}/man/man1/ssh1.1
%{prefix}/man/man8/sshd1.8

%files symlinks
%defattr(-,root,wheel)
%dir /System/Library/StartupItems/SSH
/System/Library/StartupItems/SSH/SSH
/System/Library/StartupItems/SSH/StartupParameters.plist
%{prefix}/bin/make-ssh-known-hosts
%{prefix}/bin/scp
%{prefix}/bin/slogin
%{prefix}/bin/ssh
%{prefix}/bin/ssh-add
%{prefix}/bin/ssh-agent
%{prefix}/bin/ssh-askpass
%{prefix}/bin/ssh-keygen
%{prefix}/sbin/sshd
%{prefix}/man/man1/make-ssh-known-hosts.1
%{prefix}/man/man1/scp.1
%{prefix}/man/man1/slogin.1
%{prefix}/man/man1/ssh-add.1
%{prefix}/man/man1/ssh-agent.1
%{prefix}/man/man1/ssh-keygen.1
%{prefix}/man/man1/ssh.1
%{prefix}/man/man8/sshd.8

%changelog
* Sun Apr 28 2002 Keisuke Fujii <fujiik@jlcuxf.kek.jp>
- 1st build of version 1.2.33 on MacOS X Release 10.1

* Thu Oct 25 2001 Keisuke Fujii <fujiik@jlcuxf.kek.jp>
- 1st build of version 1.2.32 on MacOS X Release 10.1
- release 2a with Kerberos5 support

* Thu Oct 25 2001 Keisuke Fujii <fujiik@jlcuxf.kek.jp>
- 2nd build of version 1.2.31 on MacOS X Release 10.1
- release 2a with Kerberos5 support

* Thu Oct 11 2001 Keisuke Fujii <fujiik@jlcuxf.kek.jp>
- 1st build of version 1.2.31 on MacOS X Release 10.1

* Fri Jul 27 2001 Keisuke Fujii <fujiik@jlcuxf.kek.jp>
- 1st build of version 1.2.31 on MacOS X Release

* Fri Jun 15 2001 Keisuke Fujii <fujiik@jlcuxf.kek.jp>
- 1st build of version 1.2.30 on MacOS X Release
